{% macro create_exam(course_id) -%}
<style type="text/css">
    .field-label.is-normal {
        text-align: right;
    }


</style>

<header class="modal-card-head">
    <p class="modal-card-title">
        Ajout d'un examen
    </p>
    <button type="button" class="delete" aria-label="close"></button>
</header>

<section class="modal-card-body">
    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label class="label">Nom</label>
        </div>
        <div class="field-body">
            <div class="field">
                <p class="control is-expanded has-icons-left">
                    <input id="exam_name" name="exam_name" class="input" placeholder="Nom de l'examen" required="true">
                    <span class="icon is-small is-left">
                        <i class="fa-solid fa-file-signature"></i>
                    </span>
                </p>
            </div>
        </div>
    </div>
    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label class="label">Date</label>
        </div>
        <div class="field-body">
            <div class="field">
                <p class="control is-expanded has-icons-left">
                    <input id="exam_date" name="exam_date" class="input" type="date" required="true">
                    <span class="icon is-small is-left">
                        <i class="fa-solid fa-calendar-day"></i>
                    </span>
                </p>
            </div>
        </div>
    </div>
    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label class="label">Correction</label>
        </div>
        <div class="field-body">
            <div class="field">
                <p class="control is-expanded has-icons-left">
                    <input id="exam_correction" name="exam_correction" class="input" placeholder="Lien vers la correction">
                    <span class="icon is-small is-left">
                        <i class="fa-solid fa-link"></i>
                    </span>
                </p>
            </div>
        </div>
    </div>
    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label class="label">Parties</label>
        </div>
        <div class="field-body">
            <div class="field">
                <p class="control is-expanded has-icons-left">
                    <input id="{{course_id}}" name="exam_parts" class="input" type="number" placeholder="Nombre de parties" oninput="displayParts(event)" min="1" max="10" required>
                    <span class="icon is-small is-left">
                        <i class="fa-solid fa-arrow-up-9-1"></i>
                    </span>
                </p>
            </div>
        </div>
    </div>
    <div id="formats-{{course_id}}">

    </div>
</section>

<script type="text/javascript">
function displayParts(event){

    document.getElementById(`formats-${event.target.id}`).innerHTML = ""
    for (let part=0; part < event.target.value; part++) {
        var template = document.createElement('template');
        html = `
            <div class="field is-horizontal">
                <div class="field-label is-normal">
                    <label class="label">Nom de la partie ${part+1}</label>
                </div>
                <div class="field-body">
                    <div class="field">
                        <p class="control is-expanded has-icons-left">
                            <input id="part_name" name="part_name" class="input" placeholder="Nom de la partie ${part+1}" value="Partie ${part+1}" required="true">
                            <span class="icon is-small is-left">
                                <i class="fa-solid fa-file-signature"></i>
                            </span>
                        </p>
                    </div>
                </div>
            </div>
        `.trim()
        template.innerHTML = html;
        document.getElementById(`formats-${event.target.id}`).appendChild(template.content)

    }



}
</script>


<footer class="modal-card-foot">
    <button type="submit" class="button is-success">Ajouter</button>
    <button type="button" class="button is-danger close">Annuler</button>
</footer>


{% endmacro %}
